Name:           cura-storage
Version:        0.3
Release:        1%{?dist}
Summary:        CIM providers for storage management

License:        GPLv2+
URL:            http://fedorahosted.org/cura
Source0:        https://fedorahosted.org/released/cura-storage/%{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python2-devel
Requires:       cmpi-bindings-pywbem
Requires:       anaconda
# For Linux_ComputerSystem:
Requires:       sblim-cmpi-base
# For reg2pegasus.py and register.sh script:
Requires:       cura-providers

%description
The cura-storage package contains CMPI providers for management of storage using
Common Information Managemen (CIM) protocol.

The providers can be registered in any CMPI-aware CIMOM, both OpenPegasus and
SFCB were tested.

%prep
%setup -q

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

install -m 755 -d $RPM_BUILD_ROOT/%{_datadir}/%{name}
install -m 644 mof/* $RPM_BUILD_ROOT/%{_datadir}/%{name}/

%pre
# If upgrading, deregister old version
if [ "$1" -gt 1 ]; then
    %{_datadir}/cura-providers/register.sh unregister \
        %{_datadir}/%{name}/LMI_Storage.mof \
        %{_datadir}/%{name}/LMI_Storage.reg \
        > /dev/null 2>&1 || :
fi

%post
# Register Schema and Provider
if [ "$1" -ge 1 ]; then
    %{_datadir}/cura-providers/register.sh register \
        %{_datadir}/%{name}/LMI_Storage.mof \
        %{_datadir}/%{name}/LMI_Storage.reg \
        > /dev/null 2>&1 || :
fi

%preun
# Deregister only if not upgrading
if [ "$1" -eq 0 ]; then
    %{_datadir}/cura-providers/register.sh unregister \
        %{_datadir}/%{name}/LMI_Storage.mof \
        %{_datadir}/%{name}/LMI_Storage.reg \
        > /dev/null 2>&1 || :
fi


%files
%doc README COPYING CHANGES
%{python_sitelib}/*
%{_datadir}/%{name}

%changelog
* Wed Sep  5 2012 Jan Safranek <jsafrane@redhat.com> - 0.3
- Update to 0.2.1
- Add post/preun RPM scriptlets to register MOFs and providers
  with Pegasus and/or SFCB

* Tue Sep  4 2012 Jan Safranek <jsafrane@redhat.com> - 0.2.1-1
- Update to 0.2.1

* Tue Sep  4 2012 Jan Safranek <jsafrane@redhat.com> - 0.2-1
- Update to 0.2
  - renamed Cura_ to LMI_

* Mon Aug  6 2012 Jan Safranek <jsafrane@redhat.com> - 0.1-3
- Removed rm -rf RPM_BUILD_ROOT

* Thu Aug  2 2012 Jan Safranek <jsafrane@redhat.com> - 0.1-2
- Removed python_sitelib and python_sitearch macro definition
- Removed CFLAGS

* Tue Jul 24 2012 Jan Safranek <jsafrane@redhat.com> - 0.1-1
- Package created.
